Credit Card Bill Payments - BBPS

Steps for credit card bill payment using BBPS -

  1. Search for the operator category - Credit Card using Get Operator Category API and search for the operator_id using the Get Operator List API.

  2. Use the operator_id in the request of fetch bill along with any additional parameters (Get operator Parameters).
    Response of Fetch Bill for a credit card biller -

{  
  "response_status_id": -1,  
  "data": {  
    "amount": "",  
    "bbpstrxnrefid": "",  
    "ifsc_status": 1,  
    "utilitycustomername": "NA",  
    "billfetchresponse": "",  
    "billerstatus": "",  
    "payMultipleBills": "N",  
    "user_code": "10118",  
    "postalcode": "101301",  
    "billDetailsList": [  
      {  
        "biller_name": null,  
        "maxBillPayAmount": null,  
        "bharatBillReferenceNumber": "",  
        "billDate": "19-09-2025",  
        "amount_multiple": null,  
        "minBillPayAmount": null,  
        "billAmount": "1245.46",  
        "billperiod": null,  
        "customer_name": "",  
        "billNumber": "HGVP9GJ0IJ0L8CPFETB0",  
        "billDueDate": "04-10-2025",  
        "paymentStatus": "UNPAID",  
        "netBillAmount": "1245.46"  
      }  
    ],  
    "geocode": "28.4944,77.0825",  
    "billdate": "",  
    "customer_id": "",  
    "billDueDate": "",  
    "billername": "IDFC FIRST Bank Credit Card"  
  },  
  "response_type_id": 1052,  
  "message": "Due Bill Amount For utility",  
  "status": 0  
}

Please note the following -

  1. For 'payMultipleBills', if the value is 'N' – Single bill payment only, 'Y' – Option to pay multiple/all bills, 'M' – All presented bills must be paid.

  2. New attributes as a part of bill object
    a. max_pay_amount – Represents the maximum payment amount allowed for the specific bill.
    b. min_pay_amount – Represents the minimum payment amount for the specific bill.
    c. amount_multiple – Represents the multiples of payment amount allowed for the specific bill.

  3. paymentamountbreakup parameter is mandatory in the 'Pay Bill' API request. The sum total of 'bill_payment_amount' must be same as 'amount'

  4. Use the billNumber and bill amount from the billDetailsList (returned in Fetch Bill API) in the request body of pay bill. The new request will as follows -

{  
  "source_ip": "89.117.27.208",  
  "user_code": "{{user_code}}",  
  "payment_amount_breakup": [  
    {  
      "billid": "HGVP9GJ0IJ0L8CPFETB0",  
      "bill_payment_amount": "1245.00"  
    }  
  ],  
  "amount": "1245",  
  "client_ref_id": "864657652",  
  "utility_acc_no": "{{creditcard}}",  
  "confirmation_mobile_no": "",  
  "operator_id": "{{operator_id_credit}}",  
  "Latlong": "77.06794760,77.06794760",  
  "hc_channel": "0"  
}